Print preview stopped working on 30.0 Rated 2 out of 5 stars

Please update it!!! :(

Rated 5 out of 5 stars

Works OK on 3.6.13. Thank you!

Rated 5 out of 5 stars

I, too, am disappointed that this add-on hasn't been updated for 3.6.9. However, here's one that will work. It's called "Menu Editor", https://addons.mozilla.org/en-US/firefox/addon/710/. Enjoy.

Rated 2 out of 5 stars

This is killing me, does anyone have a replacement for this add-on that works in 3.6, 3.7 and/or 4?

Please update... This extension is an absolute must have for me. Quite honestly, it should not be needed, this is a basic item that should be built into Firefox. But since it's not......

Can only give it 2 stars now since I have to disable compatibility checking for every FF installation and profile I have:(

Please revise to work with 3.6 Rated 5 out of 5 stars

I am also holding off on updating to 3.6 until this wonderful add-on is revised to work with 3.6

Gotta Have It! Rated 5 out of 5 stars

Please update for 3.6. I'm not updating to 3.6 until this wonderful add-on is available.

Gotta Have It! Rated 5 out of 5 stars

Please update for 3.6. I'm not updating to 3.6 until this wonderful add-on is available.

Rated 5 out of 5 stars

Very useful! It would be great to use this with version 3.6.

Rated 5 out of 5 stars

Love this handy add-on and use it several times a day. Please update for 3.6!

Rated 5 out of 5 stars

I Love This! Great add-on!

Rated 5 out of 5 stars

Have you ever wanted to print something that was in a scrolling box and couldn't or would only print what was visible? This add-on bypasses this kind of bad web page design.

Simple fix to get installed. Rated 5 out of 5 stars

Like the title says, all that is needed is to change the install.rdf file inside the xpi (a glorified zip file). Change the value of maxInstall to 3.*

Not compatible with minor version of 3.5 Rated 3 out of 5 stars

Although this add-on is listed to work with 3.5* after I installed it my FF still barks that it's not compatible with 3.5.1

Good to have Rated 4 out of 5 stars

Handy; would be must-have with print selection, print this frame
(as asked already)

mod for v3 Rated 5 out of 5 stars

ah, ok.
- unzip the file .xpi
- edit with notepad the file install.rdf
- change value em:maxVersion="2.0.0.*" with em:maxVersion="3.0.1.*"
- save the archive .xpi with file modified
- install.
;) yesss

This review is for a previous version of the add-on (1.1). 

Rated 5 out of 5 stars

how to install in firefox v3 ?

This review is for a previous version of the add-on (1.1). 

Rated 5 out of 5 stars

Excellent.
Works with V3 if you mange install.rdf

This review is for a previous version of the add-on (1.1). 

Rated 4 out of 5 stars

This is excellent, and like the previous poster, I wondered why it is missing from FF in the first place. I would also like a print selection option, but just an update to FF3 compatibility would butter my bread. :D

This review is for a previous version of the add-on (1.1). 

Rated 5 out of 5 stars

A very useful add-on and soemthing I was surprised to find missing from FF in the first place. Very pleased to have this.

The only thing I would like to see is a "Print Selection" option.

This review is for a previous version of the add-on (1.1). 

nice addon Rated 4 out of 5 stars

one thing that would make this extension great is to also add the print options to the 'This Frame >' context menu

This review is for a previous version of the add-on (1.1).